"use strict";
exports.__esModule = true;
exports.isArrayIncludingAnyOf = void 0;
var is_array_1 = require("./is-array");
var curry2_1 = require("./lib/curry2");
var includes_1 = require("./lib/includes");
var some_1 = require("./lib/some");
/**
 * Asserts that `value` is an `Array` including at least one of the members of
 * `values`.
 * @param values ['Ginola', 3]
 * @param value [12, 0, 14, 'Ginola']
 * @matcherName toBeArrayIncludingAnyOf
 * @memberMatcherName toHaveArrayIncludingAnyOf
 * @matcherMessage expected ${value} to include at least one of the values in
 * ${values}
 * @matcherNotMessage expected ${value} not to include at least one of the
 * values in ${values}
 */
exports.isArrayIncludingAnyOf = (0, curry2_1.curry2)(function (values, value) {
    return (0, is_array_1.isArray)(values) && (0, some_1.some)(function (other) { return (0, includes_1.includes)(other, value); }, values);
});
